import request, { postBlob, getBlob, handleImport } from '@/utils/request'

export function websitPartsFactoryRetListPageV2(data) {
  return request({
    url: `/websitPartsFactoryRet/list/pageV2?moduleId=${data.moduleId}`,
    method: 'post',
    data
  })
}

export function websitPartsFactoryRetPageExport(data, name) {
  return postBlob({
    url: '/websitPartsFactoryRet/pageExport',
    data,
    name
  })
}

export function websitPartsFactoryRetDetail(params) {
  return request({
    url: '/websitPartsFactoryRet/detail',
    method: 'post',
    params: params
  })
}

export function websitPartsFactoryRetAdd(data) {
  return request({
    url: `/websitPartsFactoryRet/add`,
    method: 'post',
    data
  })
}


export function websitPartsFactoryRetUpdate(data) {
  return request({
    url: `/websitPartsFactoryRet/update`,
    method: 'post',
    data
  })
}

export function websitPartsFactoryRetExamine(data) {
  return request({
    url: `/websitPartsFactoryRet/examine`,
    method: 'post',
    data
  })
}



